package types

// Struct is a structure in memory whose regions are addressable with fields.
type Struct struct {
	Name   string
	Fields []*Field
	Size   uint8
}

func (s *Struct) UniqueName() string {
	return s.Name
}

func (s *Struct) TotalSize() uint8 {
	return s.Size
}

func (s *Struct) FieldByName(name string) *Field {
	for _, field := range s.Fields {
		if field.Name == name {
			return field
		}
	}

	return nil
}
